RichSequenceBuilderFactory (BioJava-1.5-beta API)
Keywords: org.biojavax.bio.seq.io.RichSequenceBuilderFactory interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojavax.bio.seq.io
Interface RichSequenceBuilderFactory

All Superinterfaces:
  SequenceBuilderFactory

All Known Implementing Classes:
  SimpleRichSequenceBuilderFactory

    public interface RichSequenceBuilderFactory

extends SequenceBuilderFactory

Simple factory for constructing new RichSequenceBuilder objects.

Since:
  1.5
Author:
  Richard Holland, Mark Schreiber

Field Summary
`static RichSequenceBuilderFactory` | `FACTORY` Accessor for the default factory.
`static RichSequenceBuilderFactory` | `PACKED` Accessor for a factory that produces builders that compress the `SymbolList` of a `RichSequence`.
`static RichSequenceBuilderFactory` | `THRESHOLD` Accessor for a factory that produces builders that compress the `SymbolList` of a `RichSequence` when the length of the `SymbolList` exceeds `THRESHOLD`.
`static int` | `THRESHOLD_VALUE` The value that will be used as a threshold for the `THRESHOLD` builder.

Method Summary

Methods inherited from interface org.biojava.bio.seq.io.SequenceBuilderFactory
`makeSequenceBuilder`

Field Detail

### THRESHOLD_VALUE

    static final int THRESHOLD_VALUE

  The value that will be used as a threshold for the `THRESHOLD` builder. Set to 5000.

  See Also:
    Constant Field Values

### FACTORY

    static final RichSequenceBuilderFactory FACTORY

  Accessor for the default factory. This implementation will not do any compression of a sequence regardless of size.

### PACKED

    static final RichSequenceBuilderFactory PACKED

  Accessor for a factory that produces builders that compress the `SymbolList` of a `RichSequence`.

### THRESHOLD

    static final RichSequenceBuilderFactory THRESHOLD

  Accessor for a factory that produces builders that compress the `SymbolList` of a `RichSequence` when the length of the `SymbolList` exceeds `THRESHOLD`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD